Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045681
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2021-01-05 15:152021-03-04 11:55
ReporteraaroncaleroView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in VersionPR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045681: Values not updated after saving fails in a P&E grid that allows additions

DescriptionIn P&E processes that contain editable grid parameters (i.e. [Payment In] > Add Details) if a new record is added to the grid, but not all mandatory parameters are populated before clicking on Done, the new record in the grid remains in an inconsistent state until it is removed.
Even if the missing mandatory field(s) are populated after that, the P&E process will continue to fail until the (originally failing) record in the grid is replaced by a new one.
Steps To Reproduce1) Go to the [Payment In] window
2) Create a new record in the header with an amount of 20
3) Click in the "Add Details" button
4) In the "GL Items" grid parameter, click in "Add New" to add a new record and type a 20 in the 'Received in' field.
5) Click on Done and verify that the process fails as expected.
6) Edit the GL Item record and select a value in the G/L Item combo
7) Click on Done again.
The P&E process keeps failing stating that some mandatory fields have not been filled.
8) Remove the 'broken' G/L item, add a new one and populate all mandatory fields ('G/L Item' combo and 'Received in')
Click again on Done and verify that the process works.
Proposed SolutionThe issue might be related to 0040969. The function hasNewRecordWithEmptyMandatoryFields added while fixing that issue keeps returning true even when all fields have been populated
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040969 closedcaristu Maximum call stack size exceeded can be thrown in P&E grids that allow record addition 

-  Notes
(0126078)
aaroncalero (developer)
2021-02-11 10:38

Updated OBNetwork Customer / Resolution time as the client (BUT) is requesting this fix with some urgency
(0126418)
hgbot (developer)
2021-03-01 09:57

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/323 [^]
(0126497)
hgbot (developer)
2021-03-04 11:55

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 45ba2504ad865252057dd36e3f47de88d3d9d531
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2021-03-04T09:33:11+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/45ba2504ad865252057dd36e3f47de88d3d9d531 [^]

Fixes ISSUE-45681: Values not updated after saving fails in a P&E grid that allows additions

This issue is due to showInlineEditor method in pick and execute
returning early and not executing completely when a mandatory field has
not been completed in the currently edited line.
To avoid it, the inline editor will open if the current line in a pne
grid still has some mandatory fields empty.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0126498)
hgbot (developer)
2021-03-04 11:55

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/323 [^]

- Issue History
Date Modified Username Field Change
2021-01-05 15:15 aaroncalero New Issue
2021-01-05 15:15 aaroncalero Assigned To => platform
2021-01-05 15:15 aaroncalero Modules => Core
2021-01-05 15:15 aaroncalero Triggers an Emergency Pack => No
2021-02-11 10:38 aaroncalero Note Added: 0126078
2021-02-11 10:38 aaroncalero Priority normal => high
2021-02-11 10:38 aaroncalero Severity minor => major
2021-02-25 13:56 cberner Assigned To platform => cberner
2021-03-01 09:50 cberner Relationship added related to 0040969
2021-03-01 09:57 hgbot Note Added: 0126418
2021-03-04 11:55 hgbot Resolution open => fixed
2021-03-04 11:55 hgbot Status new => closed
2021-03-04 11:55 hgbot Fixed in Version => PR21Q2
2021-03-04 11:55 hgbot Note Added: 0126497
2021-03-04 11:55 hgbot Note Added: 0126498


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker